Skip to main content
PUT
/
leads
/
{id}
Update a business lead record and status
curl --request PUT \
  --url https://api.leadping.ai/leads/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "contact": {
    "firstName": "<string>",
    "lastName": "<string>",
    "streetAddress": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "province": "<string>",
      "region": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "additionalInfo": "<string>"
    },
    "timeZoneId": "<string>",
    "phone": {
      "number": "<string>",
      "type": "<string>",
      "lookup": {
        "number": "<string>",
        "isValid": true,
        "location": {
          "location": "<string>",
          "state": "<string>",
          "countryCode": "<string>",
          "timeZoneId": "<string>"
        },
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z"
      }
    },
    "email": "<string>"
  },
  "customer": {
    "height": "<string>",
    "weight": "<string>",
    "birthDate": "2023-12-25",
    "income": "<string>",
    "isHomeowner": true,
    "monthsAtResidence": "<string>",
    "creditScore": "<string>",
    "hasBankruptcy": true,
    "numberOfDependents": "<string>",
    "hasMedicalCondition": true
  },
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "tagIds": [
    "<string>"
  ],
  "tagNames": [
    "<string>"
  ],
  "id": "<string>"
}
'
{
  "metadata": {
    "trustedFormUrl": "<string>",
    "utmSource": "<string>",
    "utmMedium": "<string>",
    "utmCampaign": "<string>",
    "utmTerm": "<string>",
    "utmContent": "<string>",
    "referrer": "<string>",
    "landingPage": "<string>",
    "subId": "<string>",
    "pubId": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "externalId": "<string>",
    "sellerLeadId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "price": "<string>",
    "directPostPrice": "<string>",
    "product": "<string>",
    "vertical": "<string>",
    "complianceStatus": "<string>",
    "complianceBlockedReason": "<string>",
    "sourceMetadata": {},
    "origin": "<string>",
    "importBatchId": "<string>",
    "isImported": true,
    "assignedPhoneNumberId": "<string>",
    "smsConsentStatus": "<string>",
    "smsOptedOut": true,
    "smsOptOutAt": "2023-11-07T05:31:56Z",
    "smsOptInAt": "2023-11-07T05:31:56Z",
    "smsHelpRequestedAt": "2023-11-07T05:31:56Z",
    "smsConsentPhoneNumber": "<string>",
    "userId": "<string>",
    "businessId": "<string>"
  },
  "contact": {
    "firstName": "<string>",
    "lastName": "<string>",
    "streetAddress": {
      "line1": "<string>",
      "line2": "<string>",
      "city": "<string>",
      "state": "<string>",
      "province": "<string>",
      "region": "<string>",
      "postalCode": "<string>",
      "country": "<string>",
      "additionalInfo": "<string>"
    },
    "coordinate": {
      "latitude": "<string>",
      "longitude": "<string>"
    },
    "timeZoneId": "<string>",
    "phone": {
      "number": "<string>",
      "type": "<string>",
      "lookup": {
        "number": "<string>",
        "isValid": true,
        "location": {
          "location": "<string>",
          "state": "<string>",
          "countryCode": "<string>",
          "coordinate": {
            "latitude": "<string>",
            "longitude": "<string>"
          },
          "timeZoneId": "<string>"
        },
        "id": "<string>",
        "createdAt": "2023-11-07T05:31:56Z",
        "modifiedAt": "2023-11-07T05:31:56Z"
      }
    },
    "email": "<string>"
  },
  "customer": {
    "height": "<string>",
    "weight": "<string>",
    "birthDate": "2023-12-25",
    "income": "<string>",
    "isHomeowner": true,
    "monthsAtResidence": "<string>",
    "creditScore": "<string>",
    "hasBankruptcy": true,
    "numberOfDependents": "<string>",
    "hasMedicalCondition": true
  },
  "enabled": true,
  "adminEnablementOverride": {
    "enabled": true,
    "reason": "<string>",
    "updatedByUserId": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "archivedAt": "2023-11-07T05:31:56Z",
  "archivedByUserId": "<string>",
  "archiveReason": "<unknown>",
  "archiveNote": "<string>",
  "isArchived": true,
  "currentDisposition": {
    "id": "<string>",
    "outcome": "<string>",
    "displayName": "<string>",
    "changedAt": "2023-11-07T05:31:56Z",
    "changedByUserId": "<string>",
    "changedByAutomationId": "<string>"
  },
  "tags": [
    {
      "id": "<string>",
      "name": "<string>",
      "normalizedName": "<string>",
      "color": "<string>"
    }
  ],
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string
required

The ID of the lead to update.

Body

The updated lead data.

Request payload for lead.

metadata
object

Safe, non-secret metadata associated with this lead.

contact
object

The contact value for this lead.

customer
object

The profile value for this lead.

enabled
boolean | null
adminEnablementOverride
object
tagIds
string[]

Existing business tag ids to apply when the lead is created.

tagNames
string[]

Business tag names to apply when the lead is created. Missing names are created safely by lead creation flows.

id
string | null

The unique identifier for the entity, when updating an existing entity.

Response

Lead was successfully updated.

API response containing lead data returned to callers.

metadata
object

Safe, non-secret metadata associated with this lead.

contact
object

The contact value for this lead.

customer
object

The profile value for this lead.

enabled
boolean
adminEnablementOverride
object
archivedAt
string<date-time> | null
archivedByUserId
string | null
archiveReason
any
archiveNote
string | null
isArchived
boolean
currentDisposition
object

Compact current disposition state stored directly on a lead and surfaced with conversation data.

tags
object[]

Tags currently assigned to this lead.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
string<date-time> | null

The date and time when the entity was last modified, if applicable.